mod grammar;
mod syntax_error;
mod syntax_kind;

#[cfg(test)]
mod test {
    use pawarser::parser::ParserBuilder;

    use crate::{
        grammar::{value, Parser},
        syntax_kind::{lex, SyntaxKind},
    };

    #[test]
    fn test() {
        const TEST_DATA: &str = r#"{"hello_world": "meow"}"#;
        let toks = lex(TEST_DATA);

        let mut p: Parser = ParserBuilder::new(toks)
            .add_meaningless(SyntaxKind::WHITESPACE)
            .add_meaningless(SyntaxKind::NEWLINE)
            .build();

        value(&mut p);

        let out = p.finish();
        assert_eq!("", format!("{:#?}", out))
    }
}
